Invoice Information
The method allows you to retrieve specific invoices by their identifiers using a POST request.
What the method allows you to do
Returns complete information for the specified invoices.
Maximum number of identifiers per request — 100.
Endpoint
POST https://api.trybit.com/v2/invoice/merchant/info
Headers
Authorization*
string
Token eyJ0eXAiOiJK<...>4npi1ksS8tSY
Project API key
Request Body
Key parameters
uuids*
array
INV-89UX09KA
List of invoice identifiers (INV-XXXXXXXX or XXXXXXXX)
Request examples
These examples show how to send a request to retrieve invoice information by INV number. Note that a single request must contain no more than 100 identifiers.
curl -X POST https://api.trybit.com/v2/invoice/merchant/info \
-H "Authorization: Token <API KEY>" \
-H "Content-Type: application/json" \
-d '{"uuids":["INV-XXXXXXXX","INV-YYYYYYYY"]}'import requests
url = "https://api.trybit.com/v2/invoice/merchant/info"
headers = {
"Authorization": "Token <API KEY>"
}
data = {
"uuids": ["INV-XXXXXXXX", "INV-YYYYYYYY"]
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Success:", response.json())
else:
print("Fail:", response.status_code, response.text)fetch('https://api.trybit.com/v2/invoice/merchant/info', {
method: 'POST',
headers: {
'Authorization': 'Token <API KEY>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
uuids: ['INV-XXXXXXXX', 'INV-YYYYYYYY']
})
})
.then(response => {
if (response.ok) {
return response.json();
} else {
throw new Error('Fail: ' + response.status + ' ' + response.statusText);
}
})
.then(data => console.log('Success:', data))
.catch(error => console.error('Error:', error));
Response examples
A successful request returns a response with the status success and a result object.
Response parameters
The result object contains:
uuid
string
INV-89UX09KA
Unique invoice identifier with the INV prefix
created
string
2026-01-01 12:00:00.000000
Invoice creation time in UTC+0 format: YYYY-MM-DD HH:MI:SS.FFFFFF
address
string
LiWRq0uck<...>Axr8KbpBW
Payment address
expiry_date
string
2026-01-02 12:00:00.000000
Invoice expiration date in UTC+0 format: YYYY-MM-DD HH:MI:SS.FFFFFF.
After the expiration time, the invoice status will change to canceled if payment has not been received.
side_commission
string
client
Transfer fee payer
side_commission_cc
string
client
Service fee payer
amount
float
0.033366
Invoice amount in the selected cryptocurrency
amount_usd
float
100.0
Invoice amount in USD
amount_in_fiat
float
100.0
Invoice amount in the creation currency (depends on the currency parameter)
fee
float
4.500000159168849e-06
Transfer fee
fee_usd
float
0.01
Transfer fee in USD
service_fee
float
0.000634
Service fee
service_fee_usd
float
1.9
Service fee in USD
fiat_currency
string
USD
Fiat currency code in which the invoice was created
status
string
created
Invoice status
When a create-invoice request is sent, the status is always created.
Other possible statuses: paid (paid), partial (partially paid), overpaid (overpaid), and canceled (canceled).
is_email_required
bool
false
Parameter for requiring the payer’s email in the invoice
link
string
pay.trybit.com/89UX09KA
Link to the invoice page
currency
dict
"currency": {
"id": 3,
"code": "ETH",
"fullcode": "ETH",
"network": {
"code": "ERC20",
"id": 3,
"icon": "https://cdn.trybit.com/img/network/ERC.svg",
"fullname": "Ethereum"
},
"name": "Ethereum",
"is_email_required": false,
"stablecoin": false,
"icon_base": "https://cdn.trybit.com/img/currency/ETH.svg",
"icon_network": "https://cdn.trybit.com/img/currency/ETH.svg",
"icon_qr": "https://cdn.trybit.com/img/stroke/ETH_STROKE.svg",
"order": 9
}
Object of the selected cryptocurrency in the invoice.
Also contains the network object — information about the selected currency network.
project
dict
"project": {
"id": 0,
"name": "MyShop",
"fail": "https://test.com/failed-payment",
"success": "https://test.com/successful-payment",
"logo": "https://static.trybit.com/logo/logo.jpg"
}
Object containing project information
test_mode
bool
false
Test invoice sign
received
float
0.00206
Amount credited to the balance in cryptocurrency
received_usd
float
0.26
Amount credited to the balance in USD
to_surcharge
float
0.001172
Amount remaining to be paid in cryptocurrency
to_surcharge_usd
float
0.08
Amount remaining to be paid in USD
Last updated
Was this helpful?
